DATALOG SCHEMA consists_of(major,minor);

WITH RECURSIVE listofmaterials(major,minor) AS
	(
		SELECT c.major, c.minor FROM consists_of AS c
		UNION
		SELECT c1.major, c2.minor 
			FROM consists_of AS c1, listofmaterials AS c2 
			WHERE c1.minor = c2.major
	)
SELECT major, minor FROM listofmaterials;
